#!/usr/bin/python

# ----------------------------------------------------------------------------
#
#  Copyright (C) 2016 Fons Adriaensen <fons@linuxaudio.org>
#    
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http:#www.gnu.org/licenses/>.
#
# ----------------------------------------------------------------------------


import numpy as np
from sys import argv
from math import exp
from zita_audiotools.audiofile import AudioFile
from random import gauss

FSAMP = 48000
BSIZE = FSAMP 


argc = len (argv)
if argc < 2:
    print ("noiseping.py <file>")
    exit (1)

Fout = AudioFile()
if Fout.open_write (argv [1], 1, FSAMP, 'wav,24bit') != AudioFile.MODE_WR:
    print ('Cannot create %s.' % (argv [3],))
    Fout.close ()
    exit (1)

    
T = np.zeros ((BSIZE,), dtype = np.float32)
e1 = -2e-4
e2 = 10 * e1
z = 0
for i in range (BSIZE):
    g = exp (e1 * i) - exp (e2 * i)
    v = gauss (0, 0.5)
    z += 0.3 * (g * v - z)
    T [i] = z

for i in range (60):
    Fout.write (T)
Fout.close ()
